<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net472</TargetFramework>
    <PlatformTarget>x64</PlatformTarget>
    <RootNamespace>CncService</RootNamespace>
    <AssemblyName>CncService</AssemblyName>
    <GenerateDocumentationFile>true</GenerateDocumentationFile>
    <GenerateAssemblyInfo>false</GenerateAssemblyInfo>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.NETFramework.ReferenceAssemblies.net472" Version="1.0.3" PrivateAssets="all" />
  </ItemGroup>

  <!-- 账户/密码相关的哈希算法库 -->
  <ItemGroup>
    <PackageReference Include="BCrypt.Net-Next" Version="4.0.3" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\CncModels\CncModels.csproj" />
    <ProjectReference Include="..\CncRepository\CncRepository.csproj" />
  </ItemGroup>

  <!-- System.ServiceProcess for Windows Service interactions -->
  <ItemGroup>
    <Reference Include="System.ServiceProcess" />
  </ItemGroup>

</Project>
